## Package org.w3c.util

Interface Summary
LRUAble |
PropertyMonitoring |

Class Summary
ArrayDictionary | Random-access dictionary: like a dictionary but with a certain Vector-ness to it Besides all the methods from Dictionary, it also has methods that permit direct access to the nth element or nth key.
ArrayEnumeration | Iterates through array skipping nulls.
AsyncLRUList |
CountOutputStream | This class can be used to count number of bytes emitted to a stream.
EmptyEnumeration | An empty enumeration.
IO |
LRUList |
LRUNode |
ObservableProperties | An enhanced property class that provides support to monitor changes.
StringUtils |
SyncLRUList |
ThreadCache |
TimeFormatter | This class does date formatting using the same format strings accepted by the strftime(3) UNIX call.
Trace |
Unix | Native methods to do some UNIX specific system calls.

Exception Summary
UnixException |